package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag296;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT296Creator;

public class Tag79Creator extends AbsTagCreate {
    private MT296Creator mt296Creator;

    public Tag79Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt296Creator= (MT296Creator) absMTCreator;
    }

    public void creator()
    {
        String tag79Value = mt296Creator.getNarrativeDescriptionoftheOriginalMessagetoWhichtheAnswerRelates();
        mt296Creator.set("79", tag79Value);
    }
}
